//
//  TSRingModel.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/17.
//
import ObjectMapper

class TSRingModel:TSBaseModel {
    
    var vip:Bool = false
    var size:Int = 0
    var title:String = ""
    var audioUrl:String = ""
    var duration:Int = 0
    var categoryId:String = ""
    
    
    var documentPath: String = ""
    
    override func mapping(map: Map) {
        vip <- map["vip"]
        size <- map["size"]
        title <- map["title"]
        audioUrl <- map["audioUrl"]
        duration <- map["duration"]
        categoryId <- map["categoryId"]
        
        documentPath <- map["documentPath"]
    }
    
}


extension TSRingModel {
    
    static func getTSRingModel(TSActionInfoModel model:TSActionInfoModel)->TSRingModel{
        let ringModle = TSRingModel()
        ringModle.title = model.response.title
        ringModle.audioUrl = model.response.musicUrl
        ringModle.duration = 30
        ringModle.size = 30
        return ringModle
    }
    
}

class TSRingCategoryModel:TSBaseModel {
    
    var cover:String = ""
    var title:String = ""
    var categoryId:String = ""
    
    override func mapping(map: Map) {
        cover <- map["cover"]
        title <- map["title"]
        categoryId <- map["categoryId"]
    }
}
