//
//  TSRingDownVM.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/18.
//
import ObjectMapper

class TSRingDownVM {

    lazy var modelList: [TSAIRintoneHistoryModel] = {
        getModelList()
    }()
    
    private func getModelList()->[TSAIRintoneHistoryModel]{
        var list = [TSAIRintoneHistoryModel]()
        
        if aiRintoneHistoryModel.list.count > 0 {
            list.append(aiRintoneHistoryModel)
        }

        return list
    }
    
    //保存的历史
    lazy var aiRintoneHistoryModel: TSAIRintoneHistoryModel = {
        let model = TSAIRintoneHistoryModel(title: "Generate History", list:TSMineRintoneHistory.shared.listModels)
        return model
    }()
    
}

extension TSRingDownVM {
    
    func updateRecentData() {
        aiRintoneHistoryModel.list = TSMineRintoneHistory.shared.listModels
        modelList = getModelList()
    }
    
    func removeModel(model:TSRingModel){
        let removePath = model.documentPath.fillDocumentURL
        TSMineRintoneHistory.shared.removeModel(model: model)
        updateRecentData()
        TSFileManagerTool.removeItem(from: removePath)
    }
    
}
