//
//  TSEditAudioSliderView.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/27.
//

class TSEditAudioSliderView: TSBaseView {
    
    lazy var leftLabel: UILabel = {
        let leftLabel = UILabel.createLabel(text: "00:00s",font: .font(size: 14.0),textColor: .white.withAlphaComponent(0.8),numberOfLines: 2)
        return leftLabel
    }()
    
    lazy var slider: UISlider = {
        let slider = UISlider()
        slider.setThumbImage(UIImage(named: "ic-ring-edit-slider"), for: .normal)
        slider.thumbTintColor = .themeColor
        slider.minimumTrackTintColor = .themeColor
        slider.maximumTrackTintColor = .white.withAlphaComponent(0.1)
        return slider
    }()
    
    lazy var rightLabel: UILabel = {
        let leftLabel = UILabel.createLabel(text: "00:00s",font: .font(size: 14.0),textColor: .white.withAlphaComponent(0.8),textAlignment: .right,numberOfLines: 2)
        return leftLabel
    }()
    
    override func creatUI() {
        self.frame = CGRectMake(0, 0, k_ScreenWidth, 40)
        contentView.addSubview(leftLabel)
        contentView.addSubview(slider)
        contentView.addSubview(rightLabel)
        
        leftLabel.snp.makeConstraints { make in
            make.leading.equalTo(16)
            make.centerY.equalToSuperview()
            make.width.equalTo(62)
        }
        
        slider.snp.makeConstraints { make in
            make.leading.equalTo(87)
            make.trailing.equalTo(-57)
            make.centerY.equalToSuperview()
        }
        
        rightLabel.snp.makeConstraints { make in
            make.trailing.equalTo(-16)
            make.centerY.equalToSuperview()
            make.width.equalTo(40)
        }
    }
    
    
}
